using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;
using RestSharp;
using RCUHost;
using RCUHost.Implement;

namespace Service.Implement
{
    public class LieECOManager : GenericManagerBase<LieECO>, ILieECOMananger
	{

       
        public int Add(LieECO test)
        {
            return ((Dao.ILieECORepository)(this.CurrentRepository)).Add(test);
        }

        public new void Update(LieECO n)
        {
            ((Dao.ILieECORepository)(this.CurrentRepository)).Update(n);
        }

        public new void UpdateOrSave(LieECO n)
        {
            ((Dao.ILieECORepository)(this.CurrentRepository)).SaveOrUpdate(n);
        }
        private static log4net.ILog logger = log4net.LogManager.GetLogger(typeof(LieECOManager));




        public LieECO GetData(string hotelcode)
        {
            return ((Dao.ILieECORepository)(this.CurrentRepository)).GetDataBy(hotelcode);
        }
    }
}
